/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.baseinfo.rtu.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.baseinfo.rtu.dto.RtuInfoDTO;
import org.springblade.modules.baseinfo.rtu.entity.RtuInfoEntity;
import org.springblade.modules.baseinfo.rtu.mapper.RtuInfoMapper;
import org.springblade.modules.baseinfo.rtu.service.IRtuBaseInfoService;
import org.springblade.modules.baseinfo.rtu.vo.RtuInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
@Service
public class RtuBaseInfoServiceImpl extends BaseServiceImpl<RtuInfoMapper, RtuInfoEntity> implements IRtuBaseInfoService {
	@Override
	public IPage<RtuInfoVO> selectPage(IPage<RtuInfoVO> page, RtuInfoDTO rtuInfoDTO) {
		return page.setRecords(baseMapper.selectPage(page,rtuInfoDTO));
	}

	@Override
	public RtuInfoEntity rtuInfoByRtuCode(String rtuCode) {
		LambdaQueryWrapper<RtuInfoEntity> wrapper = Wrappers.<RtuInfoEntity>query().lambda();
		wrapper.eq(RtuInfoEntity::getRtuCode, rtuCode);
		wrapper.eq(RtuInfoEntity::getIsDeleted,0);

		RtuInfoEntity rtuInfoEntity =  this.getOne(wrapper);
		return rtuInfoEntity;
	}


	@Override
	public Long rtuCount( String adCode) {
		return baseMapper.rtuCount(adCode);
	}

	@Override
	public List<RtuInfoEntity> rtuList(RtuInfoDTO rtuInfoDTO) {
       return baseMapper.rtuList(rtuInfoDTO);
	}
}
